package org.grails.jquery.datatables.tabletools

class JQueryDataTableToolsTagLib {

	static namespace = 'jqDTTT'
	
	def resources = { attrs ->
				
		def pluginName = "tableTools"
		def minified = grailsApplication.config.tableTools.get('minified', true)
		def minifiedFile = "tableTools.min.js"
		def file = "tableTools.js"
		def clipboard = "zeroClipboard.js"
		def cssFile = "tableTools.css"
		def jqCssFile = "tableTools_jui.css"
		
		def type
		def jq
		if(attrs.type){
			type = attrs.remove("type")
		}
		if(attrs.jqueryUI){
			jq = attrs.remove('jqueryUI')
		} 
		
		if (!type) {
			renderJavaScript g.resource(plugin:pluginName, dir:"js", file:minified ? minifiedFile : file)
			renderJavaScript g.resource(plugin:pluginName, dir:"js", file:clipboard)
			renderCSS g.resource(plugin:pluginName, dir:"css", file:jq ? jqCssFile : cssFile)
		} else if (type.equals("js")) {
			renderJavaScript g.resource(plugin:pluginName, dir:"js", file:minified ? minifiedFile : file)
			renderJavaScript g.resource(plugin:pluginName, dir:"js", file:clipboard)
		} else if (type.equals("css")) {
			renderCSS g.resource(plugin:pluginName, dir:"css", file:jq ? jqCssFile : cssFile)
		}
	}

	private renderJavaScript(def url) {
		out << '<script type="text/javascript" src="' 
		out << url
		out << '"></script>\n'
	}

	private renderCSS(def url) {
		out << '<link rel="stylesheet" type="text/css" media="screen" href="' 
		out << url
		out << '" />\n'
	}
}
